/***********************************************************************
 * YoLink CO Smoke Detector device support
 *
 * This will issue warning messages to the HomeBridge log that can then
 * be provided to author to assist in adding device support.
 *
 * Copyright (c) 2023 David Kerr
 *
 */
import { YoLinkPlatformAccessory } from './platformAccessory';
/***********************************************************************
 * initUnknownDevice
 *
 */
export declare function initCoSmokeDetector(this: YoLinkPlatformAccessory): Promise<void>;
/***********************************************************************
 * mqttCoSmokeDetector
 * Handle message received from MQTT server.
 *
 * This is an example of JSON object returned.
 * {
 *   "event": "COSmokeSensor.Report",
 *   "time": 1702171916893,
 *   "msgid": "1702171916892",
 *   "data": {
 *       "state": {
 *           "unexpected": false,
 *           "sLowBattery": false,
 *           "smokeAlarm": false,
 *           "gasAlarm": false,
 *           "highTempAlarm": false,
 *           "silence": false
 *       },
 *       "metadata": {
 *           "inspect": false
 *       },
 *       "battery": 4,
 *       "interval": 120,
 *       "version": "0202",
 *       "devTemperature": 19,
 *       "tz": 0,
 *       "sche": {
 *           "type": "disable",
 *           "day": 0,
 *           "time": "0:0"
 *       },
 *       "loraInfo": {
 *           "netId": "010205",
 *           "signal": -34,
 *           "gatewayId": "abcdef0123456789",
 *           "gateways": 1
 *       },
 *       "stateChangedAt": {
 *           "gasAlarm": 1701962206458,
 *           "smokeAlarm": 1701962206458,
 *           "unexpected": 1702128701737
 *       }
 *   },
 *   "deviceId": "abcdef1234567890"
 *}
 */
export declare function mqttCoSmokeDetector(this: YoLinkPlatformAccessory, message: any): Promise<void>;
//# sourceMappingURL=coSmokeDetector.d.ts.map