/***********************************************************************
 * YoLink Garage Door device support
 *
 * Copyright (c) 2022-2023 David Kerr
 *
 */
import { YoLinkPlatformAccessory } from './platformAccessory';
/***********************************************************************
 * initGarageDoor
 *
 */
export declare function initGarageDoor(this: YoLinkPlatformAccessory): Promise<void>;
/***********************************************************************
 * mqttGarageDoor
 *
 * {
 *   "event":"DoorSensor.Alert",
 *   "time":1661360844971,
 *   "msgid":"1661360844970",
 *   "data":{
 *     "state":"open",
 *     "alertType":"normal",
 *     "battery":4,
 *     "version":"060d",
 *     "loraInfo":{
 *       "signal":-24,
 *       "gatewayId":"abcdef1234567890",
 *       "gateways":2
 *     },
 *     "stateChangedAt":1661360844970
 *   },
 *   "deviceId":"abcdef1234567890"
 * }
 *
 * {
 *   "event":"DoorSensor.Report",
 *   "time":1670100848930,"msgid":"1670100848926",
 *   "data":{
 *     "state":"closed",
 *     "alertType":"normal",
 *     "battery":4,
 *     "delay":0,
 *     "version":"060d",
 *     "openRemindDelay":0,
 *     "alertInterval":0,
 *     "loraInfo":{
 *       "signal":-95,
 *       "gatewayId":"abcdef1234567890",
 *       "gateways":1
 *     }
 *   },
 *   "deviceId":"abcdef1234567890"
 * }
 *
 * {
 *   "event":"GarageDoor.Report",
 *   "time":1673032650586,
 *   "msgid":"1673032650584",
 *   "data":{
 *     "version":"060a",
 *     "time":null,
 *     "loraInfo":{
 *       "signal":-70,
 *       "gatewayId":"abcdef1234567890",
 *       "gateways":1
 *     }
 *   },
 *   "deviceId":"abcdef1234567890"
 * }
 *
 * {
 *   "event": "GarageDoor.setState",
 *   "time": 1702966991160,
 *   "msgid": "1702966991159",
 *   "data": {
 *     "state": "closed",
 *     "stateChangedAt": 1702966991159,
 *     "loraInfo": {
 *       "netId": "010202",
 *       "signal": -34,
 *       "gatewayId": "abcdef1234567890",
 *       "gateways": 1
 *     }
 *   },
 *   "deviceId": "abcdef1234567890"
 * }
 */
export declare function mqttGarageDoor(this: YoLinkPlatformAccessory, message: any): Promise<void>;
//# sourceMappingURL=garageDoor.d.ts.map