/***********************************************************************
 * YoLink dimmer switch device support (as a HomeKit lightbulb)
 *
 * Copyright (c) 2022 David Kerr
 *
 */
import { YoLinkPlatformAccessory } from './platformAccessory';
/***********************************************************************
 * initLightbulbDevice
 *
 */
export declare function initLightbulb(this: YoLinkPlatformAccessory, onState: string, setOn: string, setOff: string): Promise<void>;
/***********************************************************************
 * mqttLightbulb
 *
 * Example of message received,
 * {
 *   "method": "getState",
 *   "time": 1667519965104,
 *   "msgid": "1667519965103",
 *   "data": {
 *     "state": "closed",
 *     "brightness": 100,
 *     "deviceAttributes": {
 *       "gradient": {
 *         "on": 2,
 *         "off": 2
 *       },
 *       "led": {
 *         "status": "on",
 *         "level": "on"
 *       },
 *       "calibration": 0
 *     },
 *     "delay": {
 *       "on": 0,
 *        "off": 0,
 *        "brightness": 0
 *     },
 *     "version": "0701",
 *     "moduleVersion": "2",
 *     "time": "2022-11-03T15:59:24.000Z",
 *     "tz": 0,
 *     "loraInfo": {
 *       "signal": -77,
 *       "gatewayId": "abcdef1234567890",
 *       "gateways": 1
 *     }
 *   },
 *   "deviceId": "abcdef1234567890"
 * }
 *
 * And also...
 * {
 *   "method": "setState",
 *   "time": 1667520684479,
 *   "msgid": "1667520684478",
 *   "data": {
 *     "state": "open",
 *     "brightness": 100,
 *     "loraInfo": {
 *       "signal": -79,
 *       "gatewayId": "abcdef1234567890",
 *       "gateways": 1
 *     }
 *   },
 *   "deviceId": "abcdef1234567890"
 * }
 */
export declare function mqttLightbulb(this: YoLinkPlatformAccessory, message: any): Promise<void>;
//# sourceMappingURL=lightbulbDevice.d.ts.map